libetonyek::KEY6Parser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY6Parser Class Reference

`#include <KEY6Parser.h>`

Inheritance diagram for libetonyek::KEY6Parser:

## Public Member Functions
| KEY6Parser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, KEYCollector &collector)
Public Member Functions inherited from libetonyek::IWAParser
| IWAParser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, IWORKCollector &collector)
bool | parse ()

## Private Member Functions
bool | parseDocument () override
bool | dispatchShape (unsigned id)
bool | parsePresentation (unsigned id)
bool | parseSlideList (unsigned id)
bool | parseSlide (unsigned id, bool master)
bool | parsePlaceholder (unsigned id)
void | parseNotes (unsigned id)
bool | parseStickyNote (const IWAMessage &msg)
const IWORKStylePtr_t | querySlideStyle (unsigned id) const
void | parseSlideStyle (unsigned id, IWORKStylePtr_t &style)

## Private Attributes
KEYCollector & | m_collector
StyleMap_t | m_slideStyles

## Additional Inherited Members
Public Types inherited from libetonyek::IWAParser
typedef std::map< unsigned, std::pair< std::string, RVNGInputStreamPtr_t > > | FileMap_t
typedef std::map< unsigned, std::pair< unsigned, ObjectRecord > > | RecordMap_t
Protected Types inherited from libetonyek::IWAParser
typedef std::map< unsigned, IWORKStylePtr_t > | StyleMap_t
typedef std::function< void(unsigned, IWORKStylePtr_t &)> | StyleParseFun_t
Protected Member Functions inherited from libetonyek::IWAParser
bool | readFill (const IWAMessage &msg, IWORKFill &fill)
bool | dispatchShape (unsigned id)
bool | parseText (unsigned id)
void | parseComment (unsigned id)
bool | parseShapePlacement (const IWAMessage &msg, IWORKGeometryPtr_t &geometry)
const IWORKStylePtr_t | queryCharacterStyle (unsigned id) const
const IWORKStylePtr_t | queryParagraphStyle (unsigned id) const
const IWORKStylePtr_t | queryGraphicStyle (unsigned id) const
const IWORKStylePtr_t | queryCellStyle (unsigned id) const
const IWORKStylePtr_t | queryTableStyle (unsigned id) const
const IWORKStylePtr_t | queryListStyle (unsigned id) const
const IWORKStylePtr_t | queryStyle (unsigned id, StyleMap_t &styleMap, StyleParseFun_t parse) const
Static Protected Member Functions inherited from libetonyek::IWAParser
static boost::optional< unsigned > | readRef (const IWAMessage &msg, unsigned field)
static std::deque< unsigned > | readRefs (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKPosition > | readPosition (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKSize > | readSize (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKColor > | readColor (const IWAMessage &msg, unsigned field)
static void | readStroke (const IWAMessage &msg, IWORKStroke &stroke)
static void | readGradient (const IWAMessage &msg, IWORKGradient &gradient)
static void | readShadow (const IWAMessage &msg, IWORKShadow &shadow)
static void | readPadding (const IWAMessage &msg, IWORKPadding &padding)
Protected Attributes inherited from libetonyek::IWAParser
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

## ◆ KEY6Parser()

libetonyek::KEY6Parser::KEY6Parser | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package,
|  | KEYCollector & | collector
| ) |  |

## Member Function Documentation

## ◆ dispatchShape()

bool libetonyek::KEY6Parser::dispatchShape | ( | unsigned | id | ) |
| private

Referenced by parseSlide().

## ◆ parseDocument()

bool libetonyek::KEY6Parser::parseDocument | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWAParser.

## ◆ parseNotes()

void libetonyek::KEY6Parser::parseNotes | ( | unsigned | id | ) |
| private

Referenced by parseSlide().

## ◆ parsePlaceholder()

bool libetonyek::KEY6Parser::parsePlaceholder | ( | unsigned | id | ) |
| private

Referenced by parseSlide().

## ◆ parsePresentation()

bool libetonyek::KEY6Parser::parsePresentation | ( | unsigned | id | ) |
| private

Referenced by parseDocument().

## ◆ parseSlide()

bool libetonyek::KEY6Parser::parseSlide | ( | unsigned | id,
|  | bool | master
| ) |  |
| private

Referenced by parseSlideList().

## ◆ parseSlideList()

bool libetonyek::KEY6Parser::parseSlideList | ( | unsigned | id | ) |
| private

Referenced by parsePresentation().

## ◆ parseSlideStyle()

void libetonyek::KEY6Parser::parseSlideStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by querySlideStyle().

## ◆ parseStickyNote()

bool libetonyek::KEY6Parser::parseStickyNote | ( | const IWAMessage & | msg | ) |
| private

Referenced by dispatchShape().

## ◆ querySlideStyle()

const IWORKStylePtr_t libetonyek::KEY6Parser::querySlideStyle | ( | unsigned | id | ) | const
| private

Referenced by parseSlide(), and parseSlideStyle().

## Member Data Documentation

## ◆ m_collector

KEYCollector& libetonyek::KEY6Parser::m_collector
| private

Referenced by parseNotes(), parsePlaceholder(), parsePresentation(), parseSlide(), and parseStickyNote().

## ◆ m_slideStyles

StyleMap_t libetonyek::KEY6Parser::m_slideStyles
| mutableprivate

Referenced by querySlideStyle().

The documentation for this class was generated from the following files:

- KEY6Parser.h
- KEY6Parser.cpp